#!/bin/bash

SCRIPTPATH=$(dirname $0)
source $SCRIPTPATH/config.txt

export PATH=$SCRIPTPATH:$PATH

env

echo '==== STARTING OPENVPN ===='
openvpn \
	--client \
	--config $VPNCONFIG \
	--ca $VPNCA \
	--auth-user-pass $VPNCREDS \
	--auth-retry nointeract \
	--ifconfig-noexec \
	--route-noexec \
	--script-security 2 \
	--up $SCRIPTPATH/vpnhook.sh \
	--route-up $SCRIPTPATH/vpnhook.sh \
	--down $SCRIPTPATH/vpnhook.sh
echo '==== EXITED OPENVPN ===='

